#include "mainwindow.h"
#include "ui_mainwindow.h"

MainWindow::MainWindow(QWidget *parent) :
    QMainWindow(parent),
    ui(new Ui::MainWindow)
{
    ui->setupUi(this);
}

MainWindow::~MainWindow()
{
    delete ui;
}

#include <QDrag>
#include <QMimeData>

void MainWindow::on_sourceButton_pressed()
{
    QDrag * drag = new QDrag (this);
    QMimeData * data = new QMimeData;
    data->setText ("nejaky text");
    data->setColorData(QColor ("orange"));
    drag->setMimeData (data);
    Qt::DropAction action = drag->exec ( Qt::MoveAction | Qt::CopyAction | Qt::LinkAction);
    if (action == Qt::MoveAction)
        ui->sourceButton->setText ("move");
    if (action == Qt::CopyAction)
        ui->sourceButton->setText ("copy");
    if (action == Qt::LinkAction)
        ui->sourceButton->setText ("link");
}
