#ifndef MYTREE_H
#define MYTREE_H

#include <QTreeWidget>

class MyTree : public QTreeWidget
{
Q_OBJECT
public:
    explicit MyTree(QWidget *parent = nullptr);

protected:
    QStringList mimeTypes() const;
    bool dropMimeData(QTreeWidgetItem *parent, int index, const QMimeData *data, Qt::DropAction action);
    Qt::DropActions supportedDropActions() const;

protected:
};

#endif // MYTREE_H
