#include "myedit.h"
#include <QMimeData>
#include <QDragEnterEvent>
#include <iostream>
using namespace std;

MyEdit::MyEdit(QWidget * parent) :
    QTextEdit (parent)
{
}

bool MyEdit::canInsertFromMimeData(const QMimeData *data) const
{
   return data->hasColor();
}

void MyEdit::insertFromMimeData(const QMimeData * data)
{
    QColor color = data->colorData().value <QColor> ();
    setTextColor(color);
    append ("drop");
}

